package com.plannaplan.services;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Service;

@Service
public class EventService {

    @Autowired
    private EmailService emailService;

    @Scheduled(cron = "0 2 17 * * *")
    public void collectGroupLosses() {
        System.out.println("Checking for groups");
    }

    @Scheduled(cron = "0 45 17 * * *")
    public void testMail() {
        this.emailService.sendMail("kaczor982@gmail.com", "Cześć. Jestem Tomek.");
    }
}
